Skip to main content
GET
/
api2
/
v2
/
webhooks
/
{webHookUid}
Get webhook
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v2/webhooks/{webHookUid} \
  --header 'Authorization: <api-key>'
{
  "url": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "createdBy": {
    "email": "<string>",
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>",
    "uid": "<string>",
    "userName": "<string>"
  },
  "events": [],
  "failedAttempts": 123,
  "hidden": true,
  "id": "<string>",
  "lastModified": "2023-11-07T05:31:56Z",
  "lastModifiedBy": {
    "email": "<string>",
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>",
    "uid": "<string>",
    "userName": "<string>"
  },
  "name": "<string>",
  "secretToken": "<string>",
  "uid": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

webHookUid
string
required

Unique identifier of the webhook

Response

OK

url
string
required

URL the webhook payload is sent to

created
string<date-time>

Date and time the webhook was created

createdBy
object
events
enum<string>[]

Events that trigger this webhook

Available options:
JOB_STATUS_CHANGED,
JOB_CREATED,
JOB_DELETED,
JOB_UNSHARED,
JOB_ASSIGNED,
JOB_DUE_DATE_CHANGED,
JOB_UPDATED,
JOB_TARGET_UPDATED,
JOB_EXPORTED,
JOB_UNEXPORTED,
JOB_AUTO_LQA_FINISHED,
JOB_METADATA_UPDATED,
JOB_CUSTOM_FIELDS_UPDATED,
PROJECT_CREATED,
PROJECT_DELETED,
PROJECT_UNSHARED,
PROJECT_STATUS_CHANGED,
PROJECT_DUE_DATE_CHANGED,
SHARED_PROJECT_ASSIGNED,
PROJECT_METADATA_UPDATED,
PRE_TRANSLATION_FINISHED,
ANALYSIS_CREATED,
CONTINUOUS_JOB_UPDATED,
PROJECT_TEMPLATE_CREATED,
PROJECT_TEMPLATE_UPDATED,
PROJECT_TEMPLATE_DELETED,
RAW_MT_CONVERTER_IMPORT_FINISHED,
RAW_MT_PRE_TRANSLATION_FINISHED,
RAW_MT_QUALITY_ESTIMATION_FINISHED,
TERM_BASE_TERM_CREATED,
TERM_BASE_TERM_UPDATED,
TERM_BASE_TERM_DELETED,
TERM_BASE_CONCEPT_CREATED,
TERM_BASE_CONCEPT_UPDATED,
TERM_BASE_CONCEPT_DELETED,
TERM_BASE_IMPORTED,
ASYNC_REQUEST_FINISHED
failedAttempts
integer<int32>

Number of consecutive failed delivery attempts

hidden
boolean

When true, the webhook is hidden from UI listings

id
string

Internal numeric identifier, encoded as a string

lastModified
string<date-time>

Date and time the webhook was last modified

lastModifiedBy
object
name
string

Display name of the webhook

secretToken
string

Secret token sent with every webhook request for payload verification

Required string length: 1 - 255
secretTokenType
enum<string>

Type of secret token header used for payload verification

Available options:
X_MEMSOURCE_TOKEN,
AUTHORIZATION
status
enum<string>

Whether the webhook is enabled or disabled

Available options:
ENABLED,
DISABLED
uid
string

Unique identifier used in API paths